#!/bin/sh
# http://www.riverbankcomputing.com
# http://www.riverbankcomputing.co.uk/pyqt/chlog4.php
#
# script by til (rob.til.freedman~AT~gmail.com)
#
set -x -u # -e

name=pyqt4-x11-gpl
version=4.4.4

build=${build:-62.1}
arch=${arch:-i486}
cpu=${cpu:-i686}

PKG_SRC="http://zenwalk.pinguix.com/user-accounts/tilderb/extra/pyqt/build-pyqt4.sh
http://www.riverbankcomputing.com/static/Downloads/PyQt4/PyQt-x11-gpl-${version}.tar.gz"
PKG_DEP="cxxlibs,dbus,expat,fontconfig,freetype,gcc,gcc-g++,glib2,libpng,mesa,python,qt4-base,sip,xcb,xorg-libs,zlib"

pkgname=$name-$version
package=$name-$version-$arch-$build
docspkg=pyqt4-x11-docs-${version}-noarch-${build}

CWD=`pwd`
TMP=${TMP:-$CWD/tmp}
SRC=$TMP/$pkgname
PKG=$TMP/$package
DOC=$TMP/$docspkg
#
test -d $DOC && rm -fr $DOC
mkdir -p $DOC/{install,usr/doc/$pkgname}
#
test -d $PKG && rm -fr $PKG
mkdir -p $PKG/{install,usr/{src,doc}/$pkgname}
#
test -d $SRC && rm -fr $SRC
mkdir -p $SRC 

tar xzf $CWD/PyQt-x11-gpl-$version.tar.gz --strip-components=1 -C $SRC
cd $SRC
#
source /etc/profile.d/qt4.sh
python configure.py --help

# -q /usr/lib/qt4/bin/qmake 	--no-designer-plugin --no-qsci-api 

python configure.py -w --confirm-license \
	CFLAGS+="-O2 -march=$arch -mtune=$cpu" \
	CXXFLAGS+="-O2 -march=$arch -mtune=$cpu"

make || exit 1

# fix 'make install DESTDIR='
sed -i "s:INSTALL_ROOT:DESTDIR:g" designer/Makefile
make install DESTDIR=$PKG

#helperline
(cd $PKG; find . )
#
cp -ar doc/pyqt4ref.html doc/html $DOC/usr/doc/$pkgname
#
cp -a ChangeLog README THANKS NEWS \
   GPL_EXCEPTION.TXT GPL_EXCEPTION_ADDENDUM.TXT \
   OPENSOURCE-NOTICE.TXT LICENSE.GPL2 LICENSE.GPL3 \
  $PKG/usr/doc/$pkgname

# Create slack-desc file specific to this package
#    |-----handy-ruler------------------------------------------------------|
cat <<EOF >$PKG/install/slack-desc
$name: PyQt-x11-gpl (These are the Python bindings for Qt4)
$name:
$name: You must also have the SIP Python bindings generator installed.
$name:
$name: PyQt4 is a set of Python bindings for Trolltech's Qt application
$name: framework and runs on all platforms supported by Qt including
$name: Windows, MacOS/X and Linux.
$name: PyQt v4 is licensed under the GNU GPL and under a commercial license.
$name:
$name:
$name: http://www.riverbankcomputing.co.uk
EOF

cat <<EOF >$DOC/install/slack-desc
$name-docs: $name-docs (These are the html docs)
$name-docs:
$name-docs: Build as a separate package from $package
EOF

cp $CWD/build-pyqt4.sh $PKG/usr/src/$pkgname
#
find $PKG | xargs -r file | grep "executable" | grep ELF | cut -s -f 1 -d : |\
   xargs -r strip --strip-unneeded 2> /dev/null
find $PKG | xargs -r file | grep "shared object" | grep ELF | cut -s -f 1 -d : |\
   xargs -r strip --strip-unneeded 2> /dev/null
find $PKG | xargs -r file | grep "current ar archive" | cut -s -f 1 -d : |\
   xargs -r strip --strip-debug 2> /dev/null

cd $PKG
fakeroot /sbin/makepkg -l y -c n $CWD/$package.tlz

cd $DOC
fakeroot /sbin/makepkg -l y -c n $CWD/$docspkg.tlz

cd $CWD
echo $PKG_DEP >$package.dep
echo "$PKG_SRC" >$package.src
md5sum $package.tlz >$package.md5

md5sum $docspkg.tlz >$docspkg.md5
:>$docspkg.dep

#rm -rf $TMP


